postRefunds :: MonadHTTP m=> Maybe PostRefundsRequestBodyThe request body to send
-> ClientT m (Response PostRefundsResponse)Monadic computation which returns the result of the operation
POST /v1/refunds<p>Create a refund.</p>
:: a typeCtrl KGHC 9.10.3 · lts/ghc-9.10.x · c74966e · 2026-09-27
Modulestripeapi-3.0.0.0Haskell2010
Contains the different functions to run the operation postRefunds
postRefunds :: MonadHTTP m=> Maybe PostRefundsRequestBodyThe request body to send
-> ClientT m (Response PostRefundsResponse)Monadic computation which returns the result of the operation
POST /v1/refunds<p>Create a refund.</p>
Defines the object schema located at paths./v1/refunds.POST.requestBody.content.application/x-www-form-urlencoded.schema in the specification.
PostRefundsRequestBodypostRefundsRequestBodyAmount :: Maybe Intamount
postRefundsRequestBodyCharge :: Maybe Textcharge
Constraints:
Maximum length of 5000
postRefundsRequestBodyExpand :: Maybe [Text]expand: Specifies which fields in the response should be expanded.
postRefundsRequestBodyInstructionsEmail :: Maybe Textinstructions_email
postRefundsRequestBodyMetadata :: Maybe PostRefundsRequestBodyMetadata'Variantsmetadata: Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value to them. All keys can be unset by posting an empty value to `metadata`.
postRefundsRequestBodyPaymentIntent :: Maybe Textpayment_intent
Constraints:
Maximum length of 5000
postRefundsRequestBodyReason :: Maybe PostRefundsRequestBodyReason'reason
Constraints:
Maximum length of 5000
postRefundsRequestBodyRefundApplicationFee :: Maybe Boolrefund_application_fee
postRefundsRequestBodyReverseTransfer :: Maybe Boolreverse_transfer
Eq PostRefundsRequestBodyDefined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostRefundsShow PostRefundsRequestBodyDefined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostRefundsFromJSON PostRefundsRequestBodyDefined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostRefundsToJSON PostRefundsRequestBodyDefined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostRefundsCreate a new PostRefundsRequestBody with all required fields.
Defines the oneOf schema located at paths./v1/refunds.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.metadata.anyOf in the specification.
Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value to them. All keys can be unset by posting an empty value to `metadata`.
PostRefundsRequestBodyMetadata'EmptyStringRepresents the JSON value ""
PostRefundsRequestBodyMetadata'Object ObjectEq PostRefundsRequestBodyMetadata'VariantsDefined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostRefundsShow PostRefundsRequestBodyMetadata'VariantsDefined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostRefundsFromJSON PostRefundsRequestBodyMetadata'VariantsDefined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostRefundsToJSON PostRefundsRequestBodyMetadata'VariantsDefined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostRefundsDefines the enum schema located at paths./v1/refunds.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.reason in the specification.
PostRefundsRequestBodyReason'Other ValueThis case is used if the value encountered during decoding does not match any of the provided cases in the specification.
PostRefundsRequestBodyReason'Typed TextThis constructor can be used to send values to the server which are not present in the specification yet.
PostRefundsRequestBodyReason'EnumDuplicateRepresents the JSON value "duplicate"
PostRefundsRequestBodyReason'EnumFraudulentRepresents the JSON value "fraudulent"
PostRefundsRequestBodyReason'EnumRequestedByCustomerRepresents the JSON value "requested_by_customer"
Eq PostRefundsRequestBodyReason'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostRefundsShow PostRefundsRequestBodyReason'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostRefundsFromJSON PostRefundsRequestBodyReason'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostRefundsToJSON PostRefundsRequestBodyReason'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostRefundsRepresents a response of the operation postRefunds.
The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), PostRefundsResponseError is used.
PostRefundsResponseError StringMeans either no matching case available or a parse error
PostRefundsResponse200 RefundSuccessful response.
PostRefundsResponseDefault ErrorError response.
Eq PostRefundsResponseDefined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostRefundsShow PostRefundsResponseDefined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostRefunds